Remove Agent or Manager

Prev Next
Delete
/api/v1/livechat/users/{type}/{_id}

Remove a user as an agent or a manager. Permission required:

  • If the type is agent: manage-livechat-agents.
  • If the type is manager: manage-livechat-managers.

Requests without the required permission return a 403 response.

Changelog

Version Description
8.9.0 Required manage-livechat-agents for agents and manage-livechat-managers for managers.
0.42.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Path parameters
type
stringRequired

The type of user. The value can either be agent or manager.

_id
stringRequired

The user ID.

ExampleSQafHvoFPuB57NmBD
Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Example 1
{
  "success": false,
  "error": "unauthorized"
}
object
success
boolean
error
string